SamHelper Class Reference

Class for extracting information from a SAM Flag. More...

`#include <SamHelper.h>`

## Static Public Member Functions

static uint64_t | combineChromPos (int32_t chromID, int32_t position)
| Helper method that combines the chromosome ID and position into a 64bit number by shifting the chromosome ID to the upper bits. More...

## Detailed Description

Class for extracting information from a SAM Flag.

Definition at line 28 of file SamHelper.h.

## Member Function Documentation

## combineChromPos()

static uint64_t SamHelper::combineChromPos | ( | int32_t | chromID,
|  | int32_t | position
| ) |  |

inline static

Helper method that combines the chromosome ID and position into a 64bit number by shifting the chromosome ID to the upper bits.

Definition at line 34 of file SamHelper.h.

{
return(((uint64_t)chromID << 32) | (position & 0xFFFFFFFF));
}

Referenced by SamCoordOutput::add(), and SamCoordOutput::flush().

The documentation for this class was generated from the following file:

- bam/SamHelper.h